# SwaggerClient::EventsApi

All URIs are relative to *https://app.notifo.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**events_get_events**](EventsApi.md#events_get_events) | **GET** /api/apps/{appId}/events | Query events.
[**events_post_events**](EventsApi.md#events_post_events) | **POST** /api/apps/{appId}/events | Publish events.

# **events_get_events**
> ListResponseDtoOfEventDto events_get_events(app_id, opts)

Query events.

### Example
```ruby
# load the gem
require 'swagger_client'

api_instance = SwaggerClient::EventsApi.new
app_id = 'app_id_example' # String | The app where the events belongs to.
opts = { 
  query: 'query_example', # String | The optional query to search for items.
  take: 56, # Integer | The number of items to return.
  skip: 56 # Integer | The number of items to skip.
}

begin
  #Query events.
  result = api_instance.events_get_events(app_id, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling EventsApi->events_get_events: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **app_id** | **String**| The app where the events belongs to. | 
 **query** | **String**| The optional query to search for items. | [optional] 
 **take** | **Integer**| The number of items to return. | [optional] 
 **skip** | **Integer**| The number of items to skip. | [optional] 

### Return type

[**ListResponseDtoOfEventDto**](ListResponseDtoOfEventDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **events_post_events**
> events_post_events(bodyapp_id)

Publish events.

### Example
```ruby
# load the gem
require 'swagger_client'

api_instance = SwaggerClient::EventsApi.new
body = SwaggerClient::PublishManyDto.new # PublishManyDto | The publish request.
app_id = 'app_id_example' # String | The app where the events belongs to.


begin
  #Publish events.
  api_instance.events_post_events(bodyapp_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling EventsApi->events_post_events: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**PublishManyDto**](PublishManyDto.md)| The publish request. | 
 **app_id** | **String**| The app where the events belongs to. | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



